GDBserver

Macros | Functions | Variables
nto-x86-low.c File Reference
`#include "server.h"`
`#include "nto-low.h"`
`#include "regdef.h"`
`#include "regcache.h"`
`#include <x86/context.h>`
`#include "x86-xstate.h"`
`#include "arch/i386.h"`

Go to the source code of this file.

## Macros
#define | x86_breakpoint_len 1

## Functions
static int | nto_x86_register_offset (int gdbregno)
static void | nto_x86_arch_setup (void)

## Variables
const unsigned char | x86_breakpoint [] = { 0xCC }
struct nto_target_ops | the_low_target

## Macro Definition Documentation

## ◆ x86_breakpoint_len

#define x86_breakpoint_len 1

Definition at line 30 of file nto-x86-low.c.

## Function Documentation

## ◆ nto_x86_arch_setup()

static void nto_x86_arch_setup | ( | void |  | ) |
| static

Definition at line 87 of file nto-x86-low.c.

References init_target_desc(), nto_tdesc, nto_target_ops::num_regs, the_low_target, and X86_XSTATE_SSE_MASK.

## ◆ nto_x86_register_offset()

static int nto_x86_register_offset | ( | int | gdbregno | ) |
| static

Definition at line 37 of file nto-x86-low.c.

## Variable Documentation

## ◆ the_low_target

struct nto_target_ops the_low_target

Initial value:
=
{
nto_x86_arch_setup,
0,
nto_x86_register_offset,
x86_breakpoint,
x86_breakpoint_len
}
x86_breakpoint_len
#define x86_breakpoint_len
Definition: nto-x86-low.c:30
nto_x86_register_offset
static int nto_x86_register_offset(int gdbregno)
Definition: nto-x86-low.c:37
nto_x86_arch_setup
static void nto_x86_arch_setup(void)
Definition: nto-x86-low.c:87
x86_breakpoint
const unsigned char x86_breakpoint[]
Definition: nto-x86-low.c:29

Definition at line 98 of file nto-x86-low.c.

Referenced by nto_x86_arch_setup().

## ◆ x86_breakpoint

const unsigned char x86_breakpoint[] = { 0xCC }

Definition at line 29 of file nto-x86-low.c.